function grid = build_regions(grid)
% function grid = build_regions(grid)
%
% A function that takes a grid and uses the region vertices and the control
% points to build the regions.
%
% Dr. A. I. Hanna (2007)

grid.region_adj_mat = find_neighbours(grid.R);


grid.region_vertices = [grid.shape; grid.control_pts];
grid = segmentOrgan(grid);
grid.region_adj_mat = find_neighbours(grid.R);

return;